import { type Trie } from '@kamilmielnik/trie';
import { Locale } from '@scrabble-solver/types';
export declare class Dictionaries {
    private readonly cache;
    private readonly downloadDictionaryProxies;
    constructor();
    get(locale: Locale): Promise<Trie>;
    remove(): void;
    update(force?: boolean): Promise<void>;
    private getLocalesToUpdate;
    private updateDictionary;
}
